<?php
/**
 * Functions file.
 * 
 * To our understanding, this can be used to add arbitrary PHP code to our theme
 * (very similar to a plugin) and to tell WordPress about the abilities of our theme.
 * 
 * @see https://developer.wordpress.org/themes/basics/theme-functions/
 */

// We support post thumbnails (now known as "featured images"). A post thumbnail is displayed
// in the header of a post.
// If there is no post thumbnail specified, we fall back to a default header image...
add_theme_support('post-thumbnails');

// ...which can also be customized (site-wide)
add_theme_support('custom-header', array(
    'default-image' => get_template_directory_uri().'/img/header.jpg', 
    'uploads'       => true)
);

// And we also support a custom menu in the header
// See https://developer.wordpress.org/reference/functions/register_nav_menu/
function register_fscoli_header_menu() {
    register_nav_menu('header-menu', 'Header-Menü');
}
add_action('init', 'register_fscoli_header_menu');

// We also allow the uploading of TeX files, which are blocked by default
function fscoli_mime_types($mime_types){
    $mime_types['tex'] = 'text/x-tex'; //TeX files
    return $mime_types;
}
add_filter('upload_mimes', 'fscoli_mime_types', 1, 1);
?>
