<?php
/**
 * Template for pages.
 *
 * WordPress identifies this file by its name (which MUST be page.php).
 *
 * Pages make up the scaffolding of the website and can often be reached via the page's
 * main navigation. They contain information that is not expected to cease its relevance
 * and should be kept up to date.
 * The publication date of a page is normally irrelevant, more interesting would be the date
 * of the last edit. In this template, we simply display no author names and no dates.
 * 
 * Posts, on the other hand, have an (often implicit) expiration date and are expected to
 * cease to be relevant at some point in time. See single.php for more details.
 *
 * @see https://codex.wordpress.org/Theme_Development#Pages_.28page.php.29
 */

get_header();
?>
<main>
    <?php the_post(); ?>
    <article>
        <header style="background-image:url('<?php if(has_post_thumbnail()) {
                // A header configured specifically for this page
                the_post_thumbnail_url();
            } else {
                // Fall back to the default header (which can be configured site-wide, so we can't hardcode the URL)
                header_image();
            } ?>')">
            <h1><?php the_title(); ?></h1>
        </header>
        <div class="content">
            <?php the_content(); ?>
        </div>
        <footer></footer>
    </article>
</main>
<?php get_footer(); ?>
